summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2016-03-24 05:19:16 -0400
committerMatthewLi <matthew.lijun@huawei.com>2016-03-24 05:19:16 -0400
commit088a64fec7b760601a825d3081dff9ebd85428d5 (patch)
tree69ba38702e1de3f747dfb1b6520736e0d717d072 /ci
parentc8fe1f8ba652aacc7aef988b730d2b7676b15259 (diff)
add united test suite entrance
Change-Id: Ifd2fca716d45ade42c679048ce29eb1e157e7e59 JIRA: BOTTLENECK-45
Diffstat (limited to 'ci')
-rwxr-xr-xci/common.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/common.sh b/ci/common.sh
new file mode 100755
index 00000000..5ee858fb
--- /dev/null
+++ b/ci/common.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+
+mkdir -p /home/opnfv/bottlenecks/config
+config_file=/home/opnfv/functest/config/bottlenecks_cfg.yaml
+
+if [ ! -f ${config_file} ]; then
+ default_config_file=$(find /home/opnfv/repos -name bottlenecks_cfg.yaml)
+ cp $default_config_file $config_file
+ echo "bottlenecks_cfg.yaml not provided. Using default one"
+fi
+
+SUITE_PREFIX_CONFIG=$(cat $config_file | grep -w suite_prefix_config | awk 'END {print $NF}')
+
+info () {
+ logger -s -t "bottlenecks.info" "$*"
+}
+
+error () {
+ logger -s -t "bottlenecks.error" "$*"
+ exit 1
+}